Summary: X Finance Calculator
Name: xfinans
Version: 5.9
Release: 3
Copyright: distributable
Group: Applications/Finance
Source0: ftp://sunsite.unc.edu/pub/Linux/apps/financial/xfinans-5.9.tar.gz
Source1: Xfinans.RedHat
Source2: xfinans.wmconfig
Source3: xfinans_run
Url: http://www.cs.auc.dk/~lupus/xfinans.html
Buildroot: /var/tmp/xfinans-root

%description
Finance calculator for X11.
Be sure to read the files /usr/doc/xfinans-5.9-1/INSTALL
and /usr/doc/xfinans-5.9-1/Xfinans.RedHat for instruction on
it use.

%changelog

* Fri May 22 1998 Michael Maher <mike@redhat.com>

- checked package and spec file.

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>

- added wmconfig entry

* Tue Nov 18 1997 Otto Hammersmith <otto@redhat.com>

- added changelog
- fixed url tag
- rebuilt for glibc

%prep
%setup -n Xfinans

%build 
cd Src
xmkmf
make depend; make

%install
install -c -m 444 XFinans.defaults /usr/X11R6/lib/X11/app-defaults/XFinans

cd Src
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/lib/Xfinans
cp $RPM_SOURCE_DIR/Xfinans.RedHat $RPM_BUILD_DIR/Xfinans
cp $RPM_BUILD_DIR/Xfinans/hyperhelp $RPM_BUILD_ROOT/usr/lib/Xfinans 
cp $RPM_BUILD_DIR/Xfinans/hyperhelp.index $RPM_BUILD_ROOT/usr/lib/Xfinans 
cp $RPM_BUILD_DIR/Xfinans/finans.bkd $RPM_BUILD_ROOT/usr/lib/Xfinans
cp $RPM_BUILD_DIR/Xfinans/xfin.ps $RPM_BUILD_ROOT/usr/lib/Xfinans 
cp $RPM_BUILD_DIR/Xfinans/variables $RPM_BUILD_ROOT/usr/lib/Xfinans 
cp $RPM_BUILD_DIR/Xfinans/categories $RPM_BUILD_ROOT/usr/lib/Xfinans 
cp $RPM_BUILD_DIR/Xfinans/category_engine $RPM_BUILD_ROOT/usr/lib/Xfinans 
cp $RPM_BUILD_DIR/Xfinans/check.acc $RPM_BUILD_ROOT/usr/lib/Xfinans 
cp $RPM_BUILD_DIR/Xfinans/giro.acc $RPM_BUILD_ROOT/usr/lib/Xfinans 
cp $RPM_BUILD_DIR/Xfinans/savings.acc $RPM_BUILD_ROOT/usr/lib/Xfinans 

install -d $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/xfinans.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/xfinans
install -m 755 -o root -g root $RPM_SOURCE_DIR/xfinans_run $RPM_BUILD_ROOT/usr/X11R6/bin/xfinans_run

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYRIGHT
%doc GNU_GPL
%doc INSTALL
%doc NOTES
%doc README
%doc WHATS_NEW
%doc Xfinans.RedHat
/usr/lib/Xfinans/hyperhelp
/usr/lib/Xfinans/hyperhelp.index
/usr/lib/Xfinans/finans.bkd
/usr/lib/Xfinans/xfin.ps
/usr/lib/Xfinans/variables
/usr/lib/Xfinans/categories
/usr/lib/Xfinans/category_engine
/usr/lib/Xfinans/check.acc
/usr/lib/Xfinans/giro.acc
/usr/lib/Xfinans/savings.acc
/usr/X11R6/bin/xfinans
/usr/X11R6/bin/xfinans_run
/etc/X11/wmconfig/xfinans
